<app-header title="Home"></app-header>
<ion-content class="ion-padding" *ngIf="dispatchView; else dataAwaitedBlk">
  <div *ngIf="!showHasSubscribed && me && dispatchView ">
    <div class="cards e-card2--round1 eh-p-10 eh-mb-6">
      <div class="eh-px-2" *ngIf="me">
        <div fxLayout="row" fxLayoutAlign="space-between">
          <div>
            <img class="eh-fit e-logo eh-mb-10 eh-mt-4 eh-p-18" src="../../../../../assets/images/mp-logo.jpg" alt="">
          </div>
          <div class="eh-pl-6">
            <div class="wh-txt eh-txt-14 e-px-0">Hello {{me.personalDetails.firstName}}, </div>
            <div class="wh-txt eh-txt-12">Please subcribe to our Packages to unlock the pro-features.</div>
            <ion-chip style="background-color: white;" color="secondary">
              <ion-icon name="globe-outline" class="ion-no-padding" color="secondary"></ion-icon>
              <ion-label class="ion-no-padding eh-txt-10 eh-txt-500" color="secondary"> <a
                  href="https://dev-meal-pyramid-users.web.app" color="secondary" class="e-txt e-txt--eblue700 ">
                  Upgrade Now
                </a></ion-label>
              <ion-icon name="arrow-forward-outline" class="ion-no-padding" color="secondary"></ion-icon>
            </ion-chip>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div *ngIf="isPackageSubscribed; else notSubscribedBlk" class="e-card2 eh-mb-10" fxFlex="1 0 0%">
    <div class="e-card2__header">
      <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">assignment_turned_in</mat-icon>
      <span>Package is Active</span>
    </div>
    <div class="eh-p-14">
      <div class="e-title e-title--2 eh-txt-bold">{{subscribedPackage.name}} -
        {{subscribedPackage.type}}
      </div>
      <div class="eh-mt-2 eh-txt-12">
        {{me.subscriptionDuration.start | date:'d-MMM-yyyy':'+0530'}} -
        {{me.subscriptionDuration.end | date:'d-MMM-yyyy':'+0530'}}
      </div>
      <div class="eh-txt-12" fxLayout="row" fxLayoutAlign="start">{{subscribedPackage.description}},</div>
      <div class="eh-txt-12 eh-mb-2" fxLayout="row" fxLayoutAlign="start">whichever finishes first</div>
    </div>
  </div>
  <ng-template #notSubscribedBlk>
    <div class="e-card2 eh-mb-10" fxFlex="1 0 0%">
      <!-- <div>Package is Inactive</div> -->
      <div class="e-card2__header">
        <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">assignment_late</mat-icon>
        <span>Package is Inactive</span>
      </div>
      <div class="eh-p-14">
        <div class="e-title e-title--2 eh-txt-bold">
          Purchase a package to activate PRO features
        </div>
      </div>
    </div>
  </ng-template>
  <div *ngIf="me && dispatchView">

    <ng-container>
      <div class="eh-my-2">
        <div class="e-card2 eh-p-4">
          <div class="e-card2__header eh-mb-8">
            <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">keyboard_tab</mat-icon>
            <span>Next step</span>
          </div>
          <ng-container *ngIf="showOnboardingIncomplete">
            <div class="eh-txt-12 eh-p-4">You must complete the registration process to proceed forward.</div>
            <button mat-stroked-button fxLayoutAlign="center"
              class="e-mat-button e-mat-button--eblue400 eh-mt-8 eh-w-50p" (click)="onResumeOnboardingClick()">
              {{ me.flags.isOrientationPaid ? 'Schedule Orientation with Kinita' : 'Complete Registration' }}
            </button>
          </ng-container>
          <ng-container *ngIf="showWaitingOnOrientation">
            <ng-container *ngIf="!showDidNotAttendOrientation">
              <div class="eh-txt-12 eh-p-4">
                Your <span class="eh-txt-bold">Orientation</span> has been scheduled with Kinita on:<br>
                <b>{{orientationAppointment.appointment.sessionStart | date:'EEEE | h:mm a, d-MMM-y':'+0530'}}</b>
                at the <b>{{orientationAppointment.appointment.location.name}}</b> location<br><br>
                If you wish to reschedule, please <a class="e-txt e-txt--matamber600 eh-txt-bold"
                  href="javascript: void(0);" (click)="onCancelOrientationClick()">Cancel</a> your current
                appointment & schedule a new one.
              </div>
            </ng-container>

            <ng-container *ngIf="showDidNotAttendOrientation">
              <span class="eh-txt-12 eh-p-4">
                Your Orientation session was scheduled in the past. Please contact our Support team for further
                assistance.
              </span>
            </ng-container>
          </ng-container>
          <!-- <div class="eh-p-4">
              <ion-icon color="secondary" class="eh-txt-14" size="medium" name="cloud-upload-outline"></ion-icon>
            </div> -->
          <!-- <div class="eh-txt-14 eh-p-2" (click)="onUploadClick()">upload you
                  <br> Pre-testing reports
                </div> -->
          <ng-container>
            <ng-container *ngIf="showNewSubscriber">
              <div class="eh-txt-12 eh-p-4">
                Your <span class="eh-txt-bold">Package</span> is <span class="eh-txt-bold">Activated</span>.<br>
                Please click <a class="e-txt e-txt--matamber600 eh-txt-bold" href="javascript: void(0);"
                  routerLink="/appointments">here</a> to schedule your first
                appointment.
              </div>
            </ng-container>
            <ng-container *ngIf="showRecommendations">
              <span class="eh-txt-12 eh-p-4">
                Post your orientation with Kinita, she has recommended a suitable Package for you.<br><br>
              </span>
              <span class="eh-txt-12 eh-p-4">
                Kindly <span class="eh-txt-bold">purchase a Package</span> of your choice to activate your account.
              </span>
            </ng-container>
            <ng-container *ngIf="showNextAppointmentAvailable && !showLastDiet">
              <div class="eh-txt-12 eh-p-4">
                Your next <span class="eh-txt-bold">Recall Appointment</span> has been scheduled as follows:<br>
                With: <u>{{nextAppointment.staff.name}}</u><br>
                On: <u>{{nextAppointment.sessionStart | date:'EEEE | h:mm a, d-MMM-y':'+0530'}} at the
                  {{nextAppointment.location.name}} location</u><br><br>
                If you wish to reschedule, please click <a class="e-txt e-txt--matamber600 eh-txt-bold"
                  href="javascript: void(0);" routerLink="/appointments">here</a> to cancel your current
                appointment & schedule a new one.
              </div>
            </ng-container>

            <ng-container *ngIf="!showNewSubscriber && showScheduleNextAppointment">
              <div class="eh-txt-12 eh-p-4">
                Your next <span class="eh-txt-bold">Diet</span> is due on:<br>
                <u>{{nextAppointmentDueDate | date:'EEEE | d-MMM-y':'+0530'}}</u><br>
                Please click <a class="e-txt e-txt--matamber600 eh-txt-bold" href="javascript: void(0);"
                  routerLink="/appointments">here</a> to schedule an appointment for this day.
              </div>
            </ng-container>

            <ng-container *ngIf="showFirstDiet">
              <div class="eh-mt-16 eh-txt-12 eh-p-4">
                Your first <span class="eh-txt-bold">Diet</span> has been uploaded.<br>To view, please go to <a
                  class="e-txt e-txt--matamber600 eh-txt-bold" href="javascript: void(0);" routerLink="/diets">My
                  Diets</a> section.
              </div>
            </ng-container>

            <ng-container *ngIf="showLastDiet">
              <div class="eh-txt-12 eh-p-4">
                Your last <span class="eh-txt-bold">Diet</span> has been uploaded.<br>To view, please go to <a
                  class="e-txt e-txt--matamber600 eh-txt-bold" href="javascript: void(0);" routerLink="/diets">My
                  Diets</a> section.
              </div>
            </ng-container>
          </ng-container>
          <!-- <ion-chip color="secondary">
                <ion-icon name="globe-outline" class="ion-no-padding"></ion-icon>
                <ion-label class="ion-no-padding eh-txt-10 eh-txt-500">upload now</ion-label>
                <ion-icon name="arrow-forward-outline" class="ion-no-padding"></ion-icon>
              </ion-chip> -->
        </div>
      </div>
    </ng-container>
  </div>
  <div class="e-card2 eh-my-10">
    <div class="e-card2__header">
      <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">message</mat-icon>
      <span>Other Messages</span>
    </div>

    <div class="eh-p-16" fxFlex="1 0 0%">
      <ng-container *ngIf="showClinicalAssessmentUpload">
        <div class="e-title e-title--2 eh-txt-bold">Clinical Assessments</div>

        <div class="eh-txt-12 eh-ml-4 eh-mt-4">Your Clinical Assessments reports are due.</div>
        <div class="eh-mb-20 eh-ml-4 eh-txt-12">Kindly <a class="e-txt e-txt--matamber600 eh-txt-bold"
            href="javascript: void(0);" (click)="onUploadClick()">upload</a> all your Clinical Assessments
          reports at the earliest.</div>
      </ng-container>

      <ng-container *ngIf="showAdvancedTesting">
        <div class="e-title e-title--2 eh-txt-bold">Advanced Tests</div>

        <ng-container *ngIf="showHasRecommendedAdvancedTests">
          <div class="eh-txt-12 eh-ml-4 eh-mt-4">
            Kinita has recommended Advanced Testing for you. Please click <a
              class="e-txt e-txt--matamber600 eh-txt-bold" href="javascript: void(0);"
              (click)="onBuyAdvancedTestingClick()">here</a> to
            view & buy Advanced Testing.
          </div>
          <div *ngIf="advancedRecommendedPackage" class="eh-mt-4 eh-pl-4 eh-txt-12">
            <span>Recommended Package:&nbsp;</span>
            <span class="e-txt e-txt--eblue500 eh-txt-bold">{{advancedRecommendedPackage}}</span>
          </div>
        </ng-container>

        <ng-container *ngIf="showHasPurchasedAdvancedTests">
          <div class="eh-txt-12 eh-ml-4 eh-mt-4">
            You have purchased an Advanced Testing bundle. Please click <a class="e-txt e-txt--matamber600 eh-txt-bold"
              href="javascript: void(0);" (click)="onBuyAdvancedTestingClick()">here</a> to book an appointment.
          </div>
        </ng-container>

        <ng-container *ngIf="showHasActiveAdvancedTestingAppt">
          <div class="eh-txt-12 eh-ml-4 eh-mt-4">
            Your Advanced Testing appointment has been scheduled on:<br>
            <b>{{advancedTestingAppt.appointment.sessionStart | date:'EEEE | h:mm a, d-MMM-y':'+0530'}}</b>
            at the <b>{{advancedTestingAppt.appointment.location.name}}</b> location<br><br>
            If you wish to reschedule, please <a class="e-txt e-txt--matamber600 eh-txt-bold"
              href="javascript: void(0);" (click)="onCancelATApptClick()">Cancel</a> your current
            appointment & schedule a new one.
          </div>
        </ng-container>

        <ng-container *ngIf="showWaitingOnATReports">
          <div class="eh-txt-12 eh-ml-4 eh-mt-4">
            Hang tight while your reports are being prepared. Typically reports are uploaded in 2 working
            days. We are excited to SEE what you’re MADE OF, aren’t you?
          </div>
        </ng-container>
      </ng-container>
    </div>
  </div>

  <div fxLayout="column">
    <div class="eh-txt ion-padding eh-px-4 eh-txt-18 eh-txt-500" *ngIf="showOnboardingIncomplete">
      Welcome Back!
    </div>
    <div *ngIf="!hasIntroVideoEnded && showOnboardingIncomplete"
      class="eh-my-6 eh-minh-100p eh-ofy-auto eh-hide-scrollbars" fxLayout="row" fxLayoutAlign="space-between">
      <div class="eh-maxh-100p">
        <video controls class="video-js eh-fit e-card--round1" preload="auto" width="100%" controlsList="nodownload"
          data-setup="{}" (ended)="onIntroVideoEnd()">
          <source [src]="introVideoURL" type='video/mp4'>
          <p class="vjs-no-js e-txt e-txt--placeholder">
            To view this video please enable JavaScript, and consider upgrading to a web browser that
            <a href="https://videojs.com/html5-video-support/" target="_blank">supports HTML5 video</a>
          </p>
        </video>
      </div>
    </div>

    <div *ngIf="!hasWelcomeVideoEnded && showNewSubscriber" class="eh-my-6 eh-minh-100p eh-ofy-auto eh-hide-scrollbars "
      fxLayout="row" fxLayoutAlign="space-between">
      <div class="eh-maxh-100p">
        <video autoplay controls class="video-js eh-fit e-card--round1" preload="auto" width="100%"
          controlsList="nodownload" data-setup="{}" (ended)="onWelcomeVideoEnd()">
          <source [src]="welcomeVideoURL" type='video/mp4'>
          <p class="vjs-no-js e-txt e-txt--placeholder">
            To view this video please enable JavaScript, and consider upgrading to a web browser that
            <a href="https://videojs.com/html5-video-support/" target="_blank">supports HTML5 video</a>
          </p>
        </video>
      </div>
    </div>
  </div>
  <!-- <div class="eh-txt ion-padding eh-px-4 eh-txt-18 eh-txt-500 eh-mt-4">
      Community
    </div>
    <app-feed></app-feed>

    <div class="eh-mb-16">

    </div>
    <div class="e-card2">
      <div class="e-card2__header">
        <img class="eh-w-20" src="../../../assets/images/instagram-logo-icon.svg" alt="">
        <span class="eh-ml-8">Kinita Kadakia Patel</span>
        <span class="eh-ml-8">|</span>
        <span class="eh-ml-8">
          <a href="https://www.instagram.com/kskadakia/?hl=en" target="_blank">
            @kskadakia
          </a>
        </span>
      </div>
      <div class="eh-pos-relative eh-pb-16 eh-ofx-scroll eh-hide-scrollbars" fxLayout="row">
        <ng-container *ngIf="false"> 
        <iframe data-controls="false"
          src="https://embedsocial.com/facebook_album/pro_hashtag/f54fb0207fd45ad5cdf325f11adabcfc911c7958" width="100%"
          height="800px" frameborder="0" marginheight="0" marginwidth="0" style="top: -64px;margin-top: -70px;  
          overflow-y: hidden;"></iframe>
      </ng-container> 
      </div>
    </div> -->


</ion-content>

<div *ngIf="userHasSubcribedPackage">
  <ion-fab vertical="bottom" horizontal="end" slot="fixed" style="margin-bottom:1rem ;">
    <ion-fab-button color="secondary">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
    <ion-fab-list side="top">
      <ion-fab-button data-desc="Log Measurements" (click)="onGoToProgress(1)">
        <mat-icon>accessibility</mat-icon>
      </ion-fab-button>
      <ion-fab-button data-desc="Log Weight" (click)="onGoToProgress(2)">
        <mat-icon>monitor_weight</mat-icon>
      </ion-fab-button>
      <ion-fab-button data-desc="Log Food" (click)="onGoToProgress(3)">
        <mat-icon>lunch_dining</mat-icon>
      </ion-fab-button>
      <ion-fab-button data-desc="Appointments" (click)="onGoToProgress(4)">
        <mat-icon>edit_calendar</mat-icon>
      </ion-fab-button>
    </ion-fab-list>
  </ion-fab>
</div>
<ng-template #dataAwaitedBlk>
  <div class="e-spinner e-spinner--center eh-h-100v eh-h-100p">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>